SystemOrganization addCategory: #TpTraits!
SystemOrganization addCategory: #'TpTraits-Test'!
SystemOrganization addCategory: #'TpTraits-Beta'!
SystemOrganization addCategory: #'TpTraits-Beta-Test'!

Trait named: #Academico
	uses: {}
	category: 'TpTraits'!

!Academico commentStamp: '<historical>' prior: 0!
An Academico is xxxxxxxxx.
B!

!Academico methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/14/2013 01:19'!
aniadirGrupoParticipa: unGrupo
	self gruposParticipa add: unGrupo.! !

!Academico methodsFor: 'as yet unclassified' stamp: 'andres 9/14/2013 08:51'!
eventos
|colAux|
colAux:=Bag new.
"self gruposParticipa do:[:unGrupo|colAux:= (unGrupo actividades select:[:unaActividad|(unaActividad class = Charla) | (unaActividad  class = Experimento) |(unaActividad class = Seminario)
		])
	]."
"self gruposParticipa do:[:unGrupo| (unGrupo actividades do:[:unaActividad|(unaActividad class = Seminario) ifTrue:[(unaActividad sesiones do:[:unaSesion | colAux add:unaSesion])]
		])
	]."
self gruposParticipa do:[: unGrupo| (unGrupo actividades do:[:unaActividad|(unaActividad class = Charla) | (unaActividad  class = Experimento)
		ifTrue:[colAux add:unaActividad]
		ifFalse:[(unaActividad class = Seminario) ifTrue:[ unaActividad sesiones do:[:unaSesion| colAux add:unaSesion]]
			] ])].
^colAux.! !

!Academico methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/14/2013 01:19'!
gruposParticipa
	self requirements.! !

!Academico methodsFor: 'as yet unclassified' stamp: 'andres 9/14/2013 09:25'!
miAgenda
|stringAux colAux|
stringAux := ''. 
colAux:=Bag new.
self eventos do: [:unEvento | ((unEvento class = Charla) | (unEvento class = Sesion)) ifTrue:[stringAux := (stringAux ,' ', (unEvento nombre) ,' ', (unEvento fechaAprobada ddmmyyyy),' HOLA CACA',  String cr).
		colAux add:stringAux]
	ifFalse:[stringAux := (stringAux ,' ', (unEvento string),' ', (unEvento fecha) ,String cr).
		colAux add:stringAux]
	].

^stringAux. 

! !

Trait named: #Coleccion
	uses: {}
	category: 'TpTraits'!

!Coleccion commentStamp: '<historical>' prior: 0!
metodos de una lista generica
!

!Coleccion methodsFor: 'as yet unclassified' stamp: 'Fiok 9/3/2013 22:13'!
coleccion
	^self requirements! !

!Coleccion methodsFor: 'as yet unclassified' stamp: 'Fiok 9/3/2013 22:13'!
coleccion:unaColeccion
	^self requirements! !

!Coleccion methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 15:25'!
cursadasConAplazos
^self cursadas select: [:unaCursada|unaCursada abandono not]! !

!Coleccion methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 15:24'!
cursadasSinAplazos 
^ (self cursadasConAplazos  select:[:unaCursada|unaCursada aprobo]).
! !

!Coleccion methodsFor: 'as yet unclassified' stamp: 'Fiok 9/3/2013 22:16'!
tamao
	^self coleccion size.! !

Trait named: #Informe
	uses: {}
	category: 'TpTraits'!

!Informe methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/12/2013 01:33'!
actividades
	self requirements.! !

!Informe methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/14/2013 00:26'!
actividadesNoAprobadas
	^self actividades select: [:unaActividad | (unaActividad estaAprobada) not]. ! !

!Informe methodsFor: 'as yet unclassified' stamp: 'Javi 9/13/2013 04:45'!
articuloFecha
"Voy bajando hasta tener coleccion de articulos, y ahi los junto todos en un string que imprimo.
String cr es el newline."
|stringAux|
stringAux := ''. 

((self actividades select: [:unaActividad | unaActividad class == Proyecto]) 
	collect:  [:unProyecto | unProyecto resultados])
		do: [:unosResultados| (unosResultados 
			select: [:unResultado | unResultado string includesSubString: 'articulo'])
				do: [:unArticulo | stringAux := (stringAux , (unArticulo string) , ' ' , (unArticulo fecha ddmmyyyy) , String cr)]].

^stringAux. 

! !

!Informe methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/12/2013 01:44'!
financiamientoTotal
	^self actividades inject: 0 into:[:total :unaActividad | total + unaActividad financiacion].! !

Trait named: #Promediable
	uses: {}
	category: 'TpTraits'!

!Promediable commentStamp: '<historical>' prior: 0!
A Promediable is xxxxxxxxx.
!

Trait named: #Estadistica
	uses: Promediable
	category: 'TpTraits'!

!Estadistica commentStamp: '<historical>' prior: 0!
An Estadistica is a Trait that contains methods which implement stats
!

Estadistica classTrait
	uses: Promediable classTrait!

!Estadistica methodsFor: 'as yet unclassified' stamp: 'Javi 9/12/2013 04:14'!
cualEsLaNotaMasAltaAlcanzadaNVeces:n
"Selecciono todas las notas alcanzadas n veces, y devuelvo la mas alta"
^(#(1 2 3 4 5 6 7 8 9 10) select: [:nota | (self obtenerCursadas count: [:cursada| cursada nota >= nota]) >= n ]) max.


! !

!Estadistica methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 16:24'!
cualEsLaNotaMasAltaAlcanzadaNVeces:n cursadas:unasCursadas
"Selecciono todas las notas alcanzadas n veces, y devuelvo la mas alta"
^(#(1 2 3 4 5 6 7 8 9 10) select: [:nota | (unasCursadas count: [:cursada| cursada nota >= nota]) >= n ]) max.


! !

!Estadistica methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/11/2013 18:08'!
cursadasAprobadas:cursadasCol
"|suma|
suma:=0.
self cursadas do:[:unaCursada|(unaCursada nota >= 4) ifTrue:[suma:=suma+1]].
^suma."

^( cursadasCol select:[:unaCursada|(unaCursada aprobo) &(unaCursada abandono not) ] )size
	! !

!Estadistica methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/11/2013 18:07'!
cursosAbandonados: cursosCol
"|suma|
suma:=0.
self cursadasAbandonadas select:[:unaCursada | unaCursada cursos ].
^suma.
	"
	^( cursosCol select:[:unaCursada|(unaCursada aprobo not) &(unaCursada abandono) ] )size! !

!Estadistica methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 14:53'!
obtenerCursadas 
self requirement

! !

!Estadistica methodsFor: 'as yet unclassified' stamp: 'Javi 9/12/2013 03:44'!
obtenerNumero:algo
self requirements ! !

!Estadistica methodsFor: 'as yet unclassified' stamp: 'andres 9/10/2013 22:30'!
obtenerVecNotas
self requirements

! !

!Estadistica methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 16:52'!
porcentajeAprobadosIniciados: unaCol
^(((self cursadasAprobadas:unaCol) *100 // (unaCol size))).
	! !

!Estadistica methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 14:54'!
promedio:unaColeccion
	| suma |
	suma:=0.
	unaColeccion do:[:unAlgo| suma:=suma+(  unAlgo nota)].
	^suma //unaColeccion  size.! !

!Estadistica methodsFor: 'as yet unclassified' stamp: 'Javi 9/12/2013 03:52'!
promedioConAplazos
| suma |
	suma:=0.
	self obtenerCursadas do:[:unAlgo| suma:=suma+( unAlgo nota)].
	^suma // self obtenerCursadas size.
	! !

!Estadistica methodsFor: 'as yet unclassified' stamp: 'Javi 9/12/2013 03:52'!
promedioSinAplazos
| suma colAux|
	suma:=0.
	
	colAux:=self obtenerCursadas select:[:unaCursada|((self obtenerNumero: unaCursada) >= 4)].	
	colAux do:[:unaCursada|suma:=suma+ (self obtenerNumero: unaCursada)].
	^suma // colAux size.! !

!Estadistica methodsFor: 'as yet unclassified' stamp: 'Javi 9/12/2013 03:52'!
tablaDeNotas
|n|
n:=1.
n to:10 do:[:cuantos| (self obtenerVecNotas at:n put:((self obtenerCursadas select:[: unaCursada | unaCursada nota == n]) size)).
	n:=n+1].
^self obtenerVecNotas.

! !

!Promediable methodsFor: 'as yet unclassified' stamp: 'pablo 9/10/2013 11:45'!
obtenerNumero:algo
	^self requirements ! !

!Promediable methodsFor: 'as yet unclassified' stamp: 'Fiok 9/11/2013 20:35'!
promedio:unaColeccion
	| suma |
	suma:=0.
	unaColeccion do:[:unAlgo| suma:=suma+( self obtenerNumero: unAlgo)].
	^suma //unaColeccion  size.! !

Trait named: #TCalificable
	uses: {}
	category: 'TpTraits-Beta'!

!TCalificable methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 18:17'!
contarSoloSi:unaCondicion
	^self  requirements .! !

!TCalificable methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 18:11'!
notaSoloSi:unaCondicion
	^self requirements ! !

Trait named: #TComposicion
	uses: TCalificable
	category: 'TpTraits-Beta'!

TComposicion classTrait
	uses: TCalificable classTrait!

!TComposicion methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 18:08'!
calificables
	^self requirements .! !

!TComposicion methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 18:08'!
calificables: unAlgo
	^self requirements .! !

!TComposicion methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 22:36'!
contarSoloSi:unaCondicion
	^ self calificables inject: 0 into: [:acu :unCalificable | acu + (unCalificable contarSoloSi: unaCondicion) ]! !

!TComposicion methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 22:36'!
notaSoloSi:unaCondicion
	^	self calificables inject: 0 into: [:nota :unCalificable | nota + (unCalificable notaSoloSi: unaCondicion) ]! !

Trait named: #TPromedio
	uses: TComposicion
	category: 'TpTraits-Beta'!

TPromedio classTrait
	uses: TComposicion classTrait!

Trait named: #TEstadistica
	uses: TComposicion + TPromedio
	category: 'TpTraits-Beta'!

TEstadistica classTrait
	uses: TComposicion classTrait + TPromedio classTrait!

!TEstadistica methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 18:56'!
calificables
	^self requirements .! !

!TEstadistica methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 18:56'!
calificables: unAlgo
	^self requirements .! !

!TEstadistica methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 18:39'!
cantidadDeAbandonadas
	^ self contarSoloSi: [:unCalificable | unCalificable abandono ]! !

!TEstadistica methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 22:24'!
cantidadDeAprobadas 
	^ self contarSoloSi: [:unCalificable | unCalificable aprobo  ]! !

!TEstadistica methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 22:28'!
porcentajeDeAprobadosSobreIniciados
|cantAprobados cantIniciados|
	cantAprobados := self contarSoloSi: [:unCalificable | unCalificable aprobo ] .
	"para que me traiga todo 1==1"
	cantIniciados  := self contarSoloSi: [:unCalificable | 1==1  ]  .
	^ cantAprobados  *100 // cantIniciados .! !

!TEstadistica methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 22:35'!
promedioConAplazos 
	^self  promedioSoloSi: [:unCalificable | unCalificable termino]! !

!TEstadistica methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 22:35'!
promedioSinAplazos 
	^self  promedioSoloSi: [:unCalificable | unCalificable aprobo ]! !

!TEstadistica methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 23:05'!
tablaDeNotas
| n vecNotas|
vecNotas:= Array new:10.
n:=1.
n to:10 do:[:unaNota | vecNotas at: unaNota  put: ( self contarSoloSi: [:unCalificable | unCalificable nota==unaNota  & unCalificable termino] ) ].
^ vecNotas 
"self calificables do:[: | vecNotas at:  put:  ]"! !

!TPromedio methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 18:56'!
calificables
	^self requirements .! !

!TPromedio methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 18:56'!
calificables: unAlgo
	^self requirements .! !

!TPromedio methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 19:56'!
promedioSoloSi:unaCondicion
	|notas cantidad|
	notas := self notaSoloSi: unaCondicion .
	cantidad  := self contarSoloSi: unaCondicion .
	^ notas // cantidad .! !

TestCase subclass: #TestActividad
	instanceVariableNames: 'unaActividad1 unAlumno1 unAlumno2 unDocente1'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits-Test'!

!TestActividad methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/13/2013 17:27'!
setUp
unaActividad1 := Actividad new.
unaActividad1 setAprobadaEnFecha: '14/09/2012'.

unaActividad1 addParticipante: unAlumno1.
unaActividad1 addParticipante: unDocente1.
unaActividad1 setResponsable: unDocente1.! !

!TestActividad methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/13/2013 17:16'!
testEstaAprobada
self assert: (unaActividad1 estaAprobada) equals:true.! !

!TestActividad methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/13/2013 17:24'!
testFechaAprobada
self assert: (unaActividad1 fechaAprobada) equals:'14/09/2012'.! !

!TestActividad methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/13/2013 17:28'!
testParticipantes
self assert: (unaActividad1 participantes size) equals:2.! !

TestCase subclass: #TestAlumno
	instanceVariableNames: 'alumno cursada curso1 materia1 materia2 materia3 carrera1 docente1 curso2 curso3 cursada2 cursada3 grupo1 grupo2'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits-Test'!

!TestAlumno methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/14/2013 01:24'!
setUp
	alumno:= Alumno new.
	cursada:= Cursada new.
	cursada2:= Cursada new.
	cursada3:= Cursada new.
	carrera1 := Carrera new.
	materia1 := Materia  new.
	materia2  := Materia  new.
	materia3  := Materia  new.
	curso1 := Curso new.
	curso2 := Curso new.
	curso3 := Curso new.
	docente1 := Docente new.
	grupo1 := GrupoInvestigacion new.
	grupo2 := GrupoInvestigacion new.
	
	alumno carrera: carrera1.
	
	cursada curso: curso1.
	cursada  nota: 7.
	cursada2  curso: curso2.
	cursada2 nota: 9.
	cursada3  curso: curso3.
	cursada3 nota: 2.
	
	cursada estado:2.
	cursada2 estado:2.
	cursada3 estado:1.
	
	alumno cursadas add: cursada.
	alumno cursadas add: cursada2.
	alumno cursadas add: cursada3.
	
	grupo1 aniadirIntegrante: alumno.
	grupo2 aniadirIntegrante: alumno.! !

!TestAlumno methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/11/2013 18:18'!
testCantidadDeCursadasAbandonadas
self assert: (alumno cursosAbandonados: (alumno cursadas) ) equals:1.! !

!TestAlumno methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/11/2013 18:18'!
testCantidadDeCursadasAprobadas
self assert:(alumno cursadasAprobadas: alumno cursadas ) equals:2.! !

!TestAlumno methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 16:25'!
testCualEsLaNotaMasAlta
self assert: (alumno cualEsLaNotaMasAltaAlcanzadaNVeces:2) equals:7.
! !

!TestAlumno methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/14/2013 01:24'!
testGruposParticipa
self assert: (alumno gruposParticipa size) equals:2.! !

!TestAlumno methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/11/2013 18:20'!
testPorcentajeDeCursosAprobadosSobreIniciados
self assert: (alumno porcentajeAprobadosIniciados:(alumno cursadas )) equals:66.! !

!TestAlumno methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 15:14'!
testPromedioConAplazos
self assert: (alumno promedio: (alumno cursadasConAplazos ) )equals:8.! !

!TestAlumno methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 15:15'!
testPromedioSinAplazo
self assert:  (alumno promedio: (alumno cursadasSinAplazos ) ) equals:8.! !

!TestAlumno methodsFor: 'as yet unclassified' stamp: 'andres 9/10/2013 22:52'!
testTablaDeNotas
self assert: alumno tablaDeNotas equals: #(0 1 0 0 0 0 1 0 1 0).! !

TestCase subclass: #TestCarrera
	instanceVariableNames: 'materias carrera materia1 curso1 estudiante1 estudiante2 estudiante3 estudiante4 estudiante5 estudiante6 calificable1 calificable2 calificable3 calificable4 calificable5 calificable6 curso2 materia2 curso3 estudiante7 estudiante8 estudiante9 calificable7 calificable8 calificable9 curso4 estudiante10 estudiante11 estudiante12 calificable10 calificable11 calificable12'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits-Beta-Test'!

!TestCarrera methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 01:41'!
setUp 
	carrera := CarreraB new.

	materia1:= MateriaB new.
	
	curso1 := CursoB new.
	
	estudiante1 := Estudiante new.
	estudiante2 := Estudiante new.
	estudiante3 := Estudiante new.	
		
	calificable1 := Calificable newCon: estudiante1  conNota:  10 yEstado: 2.
	calificable2 := Calificable newCon: estudiante2  conNota:  10 yEstado: 1.
	calificable3 := Calificable newCon: estudiante3  conNota:  10 yEstado: 2.

	curso1  calificables add: calificable1 .	
	curso1  calificables add: calificable2  .	
	curso1  calificables add: calificable3 .	
		
	materia1 calificables add:curso1.
	
	"------------------------------"
	curso2 := CursoB new.
	
	estudiante4 := Estudiante new.
	estudiante5 := Estudiante new.
	estudiante6 := Estudiante new.	
		
	calificable4 := Calificable newCon: estudiante4  conNota:  10 yEstado: 2.
	calificable5 := Calificable newCon: estudiante5  conNota:  10 yEstado: 2.
	calificable6 := Calificable newCon: estudiante6  conNota:  10 yEstado: 2.

	curso2  calificables add: calificable4 .	
	curso2  calificables add: calificable5  .	
	curso2  calificables add: calificable6 .	
		
	materia1 calificables add:curso2.
	
	carrera calificables add: materia1.
	"----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------"
	
	
	materia2:= MateriaB new.
	
	curso3 := CursoB new.
	
	estudiante7 := Estudiante new.
	estudiante8 := Estudiante new.
	estudiante9 := Estudiante new.	
		
	calificable7 := Calificable newCon: estudiante7  conNota:  10 yEstado: 2.
	calificable8 := Calificable newCon: estudiante8  conNota:  10 yEstado: 2.
	calificable9 := Calificable newCon: estudiante9  conNota:  10 yEstado: 2.

	curso3  calificables add: calificable7 .	
	curso3  calificables add: calificable8  .	
	curso3  calificables add: calificable9 .	
		
	materia2 calificables add: curso3.
	
	"------------------------------"
	curso4 := CursoB new.
	
	estudiante10 := Estudiante new.
	estudiante11 := Estudiante new.
	estudiante12 := Estudiante new.	
		
	calificable10 := Calificable newCon: estudiante10  conNota:  10 yEstado: 2.
	calificable11 := Calificable newCon: estudiante11  conNota:  10 yEstado: 2.
	calificable12 := Calificable newCon: estudiante12  conNota:  10 yEstado: 2.

	curso4  calificables add: calificable10 .	
	curso4  calificables add: calificable11  .	
	curso4  calificables add: calificable12 .	
		
	materia2 calificables add: curso4.
	
	carrera calificables add: materia2.
	
	! !

!TestCarrera methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 01:35'!
testCantidadDeCursadasAbandonadas
self assert: (carrera  cantidadDeAbandonadas ) equals:1.! !

!TestCarrera methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 01:42'!
testCantidadDeCursadasAprobadas
self assert: (carrera   cantidadDeAprobadas ) equals:11."revisar"! !

!TestCarrera methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 01:43'!
testPorcentajeDeCursosAprobadosSobreIniciados
	self assert: (carrera   porcentajeDeAprobadosSobreIniciados ) equals: 91 "revisar"! !

!TestCarrera methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 01:43'!
testPromedioConAplazos
	self assert: carrera   promedioConAplazos  equals: 10! !

!TestCarrera methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 01:44'!
testPromedioSinAplazos
	self assert: carrera    promedioSinAplazos  equals: 10! !

!TestCarrera methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 01:45'!
testTablaDeNotas
self assert: carrera  tablaDeNotas equals: #(0 0 0 0 0 0 0 0 0 11).! !

TestCase subclass: #TestCurso
	instanceVariableNames: 'alumno cursada curso1 materia1 materia2 materia3 carrera1 docente1 curso2 curso3 cursada2 cursada3 alumno2 alumno3 cursoEx cursadaEx1 cursadaEx2 cursadaEx3 cursadaEx4 alumno4'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits-Test'!

!TestCurso methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 15:06'!
setUp
	alumno:= Alumno new.
	alumno2:= Alumno new.
	alumno3:= Alumno new.
	alumno4:= Alumno new.
	carrera1 := Carrera new.
	materia1 := Materia  new.
	materia2  := Materia  new.
	materia3  := Materia  new.
	curso1 := Curso new.
	cursoEx := Curso new.
	cursada:= Cursada new:7 curso: curso1.
	cursada2:= Cursada new:9 curso: curso1.
	cursada3:= Cursada new:2 curso: curso1.
	cursadaEx1:=Cursada new:8 curso: cursoEx.
	cursadaEx2:=Cursada new:6 curso: cursoEx.
	cursadaEx3:=Cursada new:4 curso: cursoEx.
	cursadaEx4:=Cursada new:2 curso: cursoEx.
	docente1 := Docente new.
	curso1 alumnos: Bag new.
	cursoEx alumnos: Bag new.
	curso1 alumnos add: alumno.
	curso1 alumnos add: alumno2.
	curso1 alumnos add: alumno3.
	cursoEx alumnos add: alumno.
	cursoEx alumnos add: alumno2.
	cursoEx alumnos add: alumno3.
	cursoEx alumnos add: alumno4.
	
	alumno carrera: carrera1.
	
	alumno cursadas add: cursada.
	alumno cursadas add: cursadaEx1.
	alumno2 cursadas add: cursada2.
	alumno2 cursadas add: cursadaEx2.
	alumno3 cursadas add: cursada3.	
	alumno3 cursadas add: cursadaEx3.
	alumno4 cursadas add: cursadaEx4.! !

!TestCurso methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 16:02'!
testCantidadDeCursadasAbandonadas
self assert: (curso1 cursosAbandonados: (curso1 cursadas) ) equals:0.! !

!TestCurso methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 16:23'!
testCantidadDeCursadasAprobadas
self assert:(curso1 cursadasAprobadas: curso1 cursadas ) equals:2.! !

!TestCurso methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 16:26'!
testCualEsLaNotaMasAlta
self assert: (curso1 cualEsLaNotaMasAltaAlcanzadaNVeces:2 cursadas:(curso1 cursadas) ) equals:7.
! !

!TestCurso methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 16:47'!
testPorcentajeDeCursosAprobadosSobreIniciados
self assert: (curso1 porcentajeAprobadosIniciados:(curso1 cursadas )) equals:66.! !

!TestCurso methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 15:08'!
testPromedioConAplazos
self assert: (curso1 promedio: (curso1 cursadasConAplazos) ) equals:6. 
self assert: (cursoEx  promedio: (cursoEx cursadasConAplazos) )   equals:5. ! !

!TestCurso methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 15:04'!
testPromedioSinAplazos
self assert: (curso1 promedio: (curso1 cursadasSinAplazos) ) equals:8. 
self assert: (cursoEx  promedio: (cursoEx cursadasSinAplazos) )   equals:6. ! !

!TestCurso methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 16:45'!
testTablaDeNotas
self assert: curso1 tablaDeNotas equals: #(0 1 0 0 0 0 1 0 1 0).! !

TestCase subclass: #TestCursoB
	instanceVariableNames: 'curso estudiante1 estudiante2 estudiante3 estudiante4 estudiante5 estudiante6 calificable1 calificable2 calificable3 calificable4 calificable5 calificable6'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits-Beta-Test'!

!TestCursoB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 00:04'!
setUp
	curso := CursoB  new.
	
	estudiante1 := Estudiante new.
	estudiante2 := Estudiante new.
	estudiante3 := Estudiante new.	
	estudiante4 := Estudiante new.
	estudiante5 := Estudiante new.
	estudiante6 := Estudiante new.		
		
	calificable1 := Calificable newCon: estudiante1  conNota:  2 yEstado: 2.
	calificable2 := Calificable newCon: estudiante2  conNota:  2 yEstado: 2.
	calificable3 := Calificable newCon: estudiante3  conNota:  8 yEstado: 2.
	calificable4 := Calificable newCon: estudiante4  conNota:  10 yEstado: 1."la nota no la usa"
	calificable5 := Calificable newCon: estudiante5  conNota:  10 yEstado: 1."la nota no la usa"
	calificable6 := Calificable newCon: estudiante6  conNota:  10 yEstado: 2.

	curso  calificables add: calificable1 .	
	curso  calificables add: calificable2  .	
	curso  calificables add: calificable3 .	
	curso  calificables add: calificable4 .	
	curso  calificables add: calificable5 .	
	curso  calificables add: calificable6 .	
	


	! !

!TestCursoB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 22:22'!
testCantidadDeCursadasAbandonadas
self assert: (curso  cantidadDeAbandonadas ) equals:2.! !

!TestCursoB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 22:43'!
testCantidadDeCursadasAprobadas
self assert: (curso  cantidadDeAprobadas ) equals:2.! !

!TestCursoB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 22:44'!
testPorcentajeDeCursosAprobadosSobreIniciados
	self assert: (curso porcentajeDeAprobadosSobreIniciados ) equals: 33! !

!TestCursoB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 22:58'!
testPromedioConAplazos
	self assert: curso  promedioConAplazos  equals: 5! !

!TestCursoB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 22:56'!
testPromedioSinAplazos
	self assert: curso  promedioSinAplazos  equals: 9! !

!TestCursoB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 23:08'!
testTablaDeNotas
self assert: curso tablaDeNotas equals: #(0 2 0 0 0 0 0 1 0 1).! !

TestCase subclass: #TestDocenteB
	instanceVariableNames: 'docente curso1 curso2 curso3 estudiante1 estudiante2 estudiante3 estudiante4 estudiante5 estudiante6 calificable1 calificable2 calificable3 calificable4 calificable5 calificable6 estudiante7 estudiante8 estudiante9 estudiante10 estudiante11 estudiante12 calificable7 calificable8 calificable9 calificable10 calificable11 calificable12'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits-Beta-Test'!

!TestDocenteB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 00:11'!
setUp 
	docente  := DocenteB new.
	
	curso1 := CursoB new.
	
	estudiante1 := Estudiante new.
	estudiante2 := Estudiante new.
	estudiante3 := Estudiante new.	
	estudiante4 := Estudiante new.
	estudiante5 := Estudiante new.
	estudiante6 := Estudiante new.		
		
	calificable1 := Calificable newCon: estudiante1  conNota:  2 yEstado: 2.
	calificable2 := Calificable newCon: estudiante2   conNota:  2 yEstado: 2.
	calificable3 := Calificable newCon: estudiante3  conNota:  8 yEstado: 2.
	calificable4 := Calificable newCon: estudiante4  conNota:  10 yEstado: 1."la nota no la usa"
	calificable5 := Calificable newCon: estudiante5  conNota:  10 yEstado: 1."la nota no la usa"
	calificable6 := Calificable newCon: estudiante6  conNota:  10 yEstado: 2.

	curso1  calificables add: calificable1 .	
	curso1  calificables add: calificable2  .	
	curso1  calificables add: calificable3 .	
	curso1  calificables add: calificable4 .	
	curso1  calificables add: calificable5 .	
	curso1  calificables add: calificable6 .	
		
	docente calificables add: curso1 .
		"----------------------------------------------------------------------------------------------------------------"
	curso2 := CursoB new.
	
	estudiante7 := Estudiante new.
	estudiante8 := Estudiante new.
	estudiante9 := Estudiante new.	
	estudiante10 := Estudiante new.
	estudiante11 := Estudiante new.
	estudiante12 := Estudiante new.		
		
	calificable7 := Calificable newCon: estudiante7  conNota:  2 yEstado: 2.
	calificable8 := Calificable newCon: estudiante8   conNota:  2 yEstado: 2.
	calificable9 := Calificable newCon: estudiante9  conNota:  8 yEstado: 2.
	calificable10 := Calificable newCon: estudiante10  conNota:  10 yEstado: 1."la nota no la usa"
	calificable11 := Calificable newCon: estudiante11  conNota:  10 yEstado: 1."la nota no la usa"
	calificable12 := Calificable newCon: estudiante12  conNota:  10 yEstado: 2.

	curso2  calificables add: calificable7 .	
	curso2  calificables add: calificable8  .	
	curso2  calificables add: calificable9 .	
	curso2  calificables add: calificable10 .	
	curso2  calificables add: calificable11.	
	curso2  calificables add: calificable12 .	
		
	docente calificables add: curso2 .
		"----------------------------------------------------------------------------------------------------------------"
	! !

!TestDocenteB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 00:12'!
testCantidadDeCursadasAbandonadas
self assert: (docente  cantidadDeAbandonadas ) equals:4.! !

!TestDocenteB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 00:15'!
testCantidadDeCursadasAprobadas
self assert: (docente  cantidadDeAprobadas ) equals:4.! !

!TestDocenteB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 00:18'!
testPorcentajeDeCursosAprobadosSobreIniciados
	self assert: (docente  porcentajeDeAprobadosSobreIniciados ) equals: 33! !

!TestDocenteB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 00:20'!
testPromedioConAplazos
	self assert: docente  promedioConAplazos  equals: 5 "5.5"! !

!TestDocenteB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 00:21'!
testPromedioSinAplazos
	self assert: docente   promedioSinAplazos  equals: 9! !

!TestDocenteB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 00:22'!
testTablaDeNotas
self assert: docente  tablaDeNotas equals: #(0 4 0 0 0 0 0 2 0 2).! !

TestCase subclass: #TestEstudiante
	instanceVariableNames: 'estudiante cursada1 cursada2 cursada3 curso1 curso2 curso3'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits-Beta-Test'!

!TestEstudiante methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 22:31'!
setUp 
	estudiante  := Estudiante new.
	
	cursada1 := Calificable  new.
	cursada2:= Calificable new.
	cursada3:= Calificable new.
	
	curso1 := CursoB new.
	curso2 := CursoB new.
	curso3 := CursoB new.
"----------------------------------------------------------"
	cursada1  calificable:  curso1.
	cursada1  nota: 7.
	cursada1 estado:2.
	
	cursada2  calificable:  curso2.
	cursada2 nota: 9.
	cursada2 estado:2.
	
	cursada3  calificable:  curso3.
	cursada3 nota: 2.
	cursada3 estado:1.
	


	
	
	estudiante  calificables  add: cursada1.
	estudiante  calificables add: cursada2.
	estudiante  calificables add: cursada3.! !

!TestEstudiante methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 19:31'!
testCantidadDeCursadasAbandonadas
self assert: (estudiante cantidadDeAbandonadas ) equals:1.! !

!TestEstudiante methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 19:33'!
testCantidadDeCursadasAprobadas
self assert: (estudiante cantidadDeAprobadas ) equals:2.! !

!TestEstudiante methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 19:35'!
testPorcentajeDeCursosAprobadosSobreIniciados
	self assert: (estudiante porcentajeDeAprobadosSobreIniciados ) equals: 66! !

!TestEstudiante methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 19:45'!
testPromedioConAplazos
	self assert: estudiante promedioConAplazos  equals: 8! !

!TestEstudiante methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 20:42'!
testPromedioSinAplazos
	self assert: estudiante promedioSinAplazos  equals: 8! !

!TestEstudiante methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 23:06'!
testTablaDeNotas
self assert: estudiante tablaDeNotas equals: #(0 0 0 0 0 0 1 0 1 0).! !

TestCase subclass: #TestGrupos
	instanceVariableNames: 'alumno1 alumno2 alumno3 grupo1 grupo2 experimento1 experimento2 charla proyecto sesion1 sesion2 docente1 docente2 resultado1 resultado2 resultado3 seminario'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits-Test'!

!TestGrupos methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/14/2013 00:38'!
setUp 

alumno1 := Alumno new.
alumno2 := Alumno new.
alumno3 := Alumno new.
grupo1 := GrupoInvestigacion new.
grupo2  := GrupoInvestigacion new.
experimento1 := Experimento new.
experimento2 := Experimento new.
charla := Charla new.
proyecto := Proyecto new.
sesion1 := Sesion new.
sesion2  := Sesion new.
docente1:= Docente new. 
docente2 := Docente new.

" charla setAprobadaEnFecha: '21/09/2013'. " 
proyecto setAprobadaEnFecha:'22/09/2013' .
grupo1 aniadirActividad: charla.
grupo1 aniadirActividad: proyecto.

grupo1 cantActividadesNoAprobadas.

resultado1:=Resultados new.
resultado1 string:'Es el mejor articulo'.
resultado1 fecha:'12/12/2009'.
resultado2:=Resultados new.
resultado2 string:'Es el peor articulo'.
resultado2 fecha:'26/10/2010'.
resultado3:=Resultados new.
resultado3 string:'No paso nada'.
resultado3 fecha:'12/12/2008'.


proyecto addResultado:resultado1.
proyecto addResultado:resultado2.
proyecto addResultado:resultado3.
! !

!TestGrupos methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/14/2013 00:36'!
testActividadesNoAprobadas
self assert: (grupo1 actividadesNoAprobadas size) equals: 1.! !

!TestGrupos methodsFor: 'as yet unclassified' stamp: 'Javi 9/13/2013 19:43'!
testArticuloFecha
self assert: (grupo1 articuloFecha) equals:'Es el mejor articulo 12/12/2009', String cr, 'Es el peor articulo 26/10/2010', String cr.! !

TestCase subclass: #TestMateria
	instanceVariableNames: 'materia estudiante cursada1 cursada2 cursada3 curso1 curso2 curso3 curso estudiante1 estudiante2 estudiante3 estudiante4 estudiante5 estudiante6 calificable1 calificable2 calificable3 calificable4 calificable5 calificable6'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits-Beta-Test'!

!TestMateria methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 23:58'!
setUp
	curso := CursoB  new.
	materia:= MateriaB new.
	estudiante1 := Estudiante new.
	estudiante2 := Estudiante new.
	estudiante3 := Estudiante new.	
	estudiante4 := Estudiante new.
	estudiante5 := Estudiante new.
	estudiante6 := Estudiante new.		
		
	calificable1 := Calificable newCon: estudiante1  conNota:  10 yEstado: 2.
	calificable2 := Calificable newCon: estudiante1  conNota:  10 yEstado: 2.
	calificable3 := Calificable newCon: estudiante1  conNota:  10 yEstado: 2.
	calificable4 := Calificable newCon: estudiante1  conNota:  10 yEstado: 1.
	calificable5 := Calificable newCon: estudiante1  conNota:  10 yEstado: 1.
	calificable6 := Calificable newCon: estudiante1  conNota:  10 yEstado: 2.

	materia  calificables add: calificable1 .	
	materia  calificables add: calificable2  .	
	materia  calificables add: calificable3 .	
	materia  calificables add: calificable4 .	
	materia  calificables add: calificable5 .	
	materia  calificables add: calificable6 .	
	
! !

!TestMateria methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/14/2013 00:02'!
testCantidadDeCursadasAbandonadas
self assert: (materia  cantidadDeAbandonadas ) equals:2.! !

!TestMateria methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/14/2013 00:35'!
testCantidadDeCursadasAprobadas
self assert: (materia  cantidadDeAprobadas ) equals:4.! !

!TestMateria methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/14/2013 00:35'!
testPorcentajeDeCursosAprobadosSobreIniciados
	self assert: (materia porcentajeDeAprobadosSobreIniciados ) equals: 66! !

!TestMateria methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/14/2013 00:36'!
testPromedioConAplazos
	self assert: materia  promedioConAplazos  equals: 10! !

!TestMateria methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/14/2013 00:37'!
testPromedioSinAplazos
	self assert: materia  promedioSinAplazos  equals: 10! !

!TestMateria methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/14/2013 00:39'!
testTablaDeNotas
self assert: materia tablaDeNotas equals: #(0 0 0 0 0 0 0 0 0 4).! !

Object subclass: #Actividad
	instanceVariableNames: 'responsable participantes fechaPresentacion fechaAprobada montoFinanciacion nombre aprobada recursosRequeridos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits'!

!Actividad class methodsFor: 'as yet unclassified' stamp: 'Javi 9/12/2013 04:29'!
new:unString responsable:alguien
|unaActividad|
unaActividad  := self new.
unaActividad nombre:unString.
unaActividad setResponsable:alguien.
^unaActividad.! !

!Actividad methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 01:35'!
addParticipante:alguien
	participantes add:alguien.! !

!Actividad methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/13/2013 16:56'!
aprobar
	aprobada := true.! !

!Actividad methodsFor: 'accessing' stamp: 'luksdlt92 9/12/2013 00:34'!
estaAprobada
	^aprobada.! !

!Actividad methodsFor: 'accessing' stamp: 'andres 9/12/2013 01:34'!
fechaAprobada
	^fechaAprobada.! !

!Actividad methodsFor: 'accessing' stamp: 'andres 9/12/2013 01:34'!
fechaPresentacion
	^fechaPresentacion
" como usar la fecha con la clase Date?
fecha:= Date readFromString: '01/02/1999'. 
Devuelve 2 January 1999 "! !

!Actividad methodsFor: 'accessing' stamp: 'andres 9/12/2013 02:19'!
fechaPresentacion: unaFecha
	fechaPresentacion:=Date readFromString:unaFecha.
" como usar la fecha con la clase Date?
fecha:= Date readFromString: '01/02/1999'. 
Devuelve 2 January 1999 "! !

!Actividad methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/13/2013 16:57'!
initialize
	participantes := Bag new.
	aprobada :=false.
	montoFinanciacion := 0.! !

!Actividad methodsFor: 'accessing' stamp: 'andres 9/12/2013 01:35'!
montoFinanciacion
	^montoFinanciacion.! !

!Actividad methodsFor: 'accessing' stamp: 'andres 9/12/2013 01:35'!
montoFinanciacion:unMonto
	montoFinanciacion:=unMonto.! !

!Actividad methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 01:44'!
nombre
^nombre.! !

!Actividad methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 01:44'!
nombre:unNom
nombre:=unNom.! !

!Actividad methodsFor: 'accessing' stamp: 'andres 9/12/2013 01:36'!
participantes
	^participantes.! !

!Actividad methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/12/2013 02:36'!
responsable
	^responsable.! !

!Actividad methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/13/2013 17:12'!
setAprobadaEnFecha:unaFecha
	self aprobar.
	fechaAprobada:= unaFecha.! !

!Actividad methodsFor: 'accessing' stamp: 'Javi 9/12/2013 04:29'!
setResponsable: alguien
	responsable:=alguien.! !

Actividad subclass: #Charla
	instanceVariableNames: 'fecha horaInicio horaFin cantEstimadaPublico'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits'!

!Charla methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:14'!
cantEstimadaPublico
	^cantEstimadaPublico.! !

!Charla methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:14'!
cantEstimadaPublico:algo
	^cantEstimadaPublico:=algo.! !

!Charla methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:14'!
horaFin
	^horaFin.! !

!Charla methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:15'!
horaFin:unaHora
"x:= Time readFromString: '3:47:26 pm'. crear tiempo de cadena con formato"
	horaFin:=(Time readFromString: unaHora).! !

!Charla methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:15'!
horaInicio
	^horaInicio.! !

!Charla methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:15'!
horaInicio:unaHora
"x:= Time readFromString: '3:47:26 pm'. crear tiempo de cadena con formato"
	horaInicio:=(Time readFromString: unaHora).! !

Actividad subclass: #Proyecto
	uses: Informe
	instanceVariableNames: 'resultados experimentos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits'!

Proyecto class
	uses: Informe classTrait
	instanceVariableNames: 'resultados'!

Proyecto class
	uses: Informe classTrait
	instanceVariableNames: 'resultados'!

!Proyecto methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 22:50'!
addResultado:unObject
resultados add:unObject.! !

!Proyecto methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 22:25'!
experimentos
^experimentos.! !

!Proyecto methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 22:25'!
experimentos:unObject
experimentos:=unObject.! !

!Proyecto methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/14/2013 00:37'!
initialize
experimentos:=OrderedCollection  new.
resultados:= OrderedCollection  new.
super initialize.! !

!Proyecto methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/12/2013 02:34'!
resultados
	^resultados.! !

Actividad subclass: #Seminario
	instanceVariableNames: 'sesiones'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits'!

!Seminario methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:07'!
addSesion:unaSesion
sesiones add:unaSesion.! !

!Seminario methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/14/2013 00:38'!
initialize
sesiones :=Bag new.
super initialize.! !

!Seminario methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:07'!
sesiones
^sesiones.! !

Object subclass: #Alumno
	uses: Coleccion + Estadistica + Academico
	instanceVariableNames: 'eventos carrera materias_terminadas materias_abandonadas cursadas vecNotas gruposParticipa'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits'!

Alumno class
	uses: Coleccion classTrait + Estadistica classTrait + Academico classTrait
	instanceVariableNames: 'vecNotas'!

!Alumno commentStamp: '<historical>' prior: 0!
An Alumno is xxxxxxxxx.

Instance Variables
!

Alumno class
	uses: Coleccion classTrait + Estadistica classTrait + Academico classTrait
	instanceVariableNames: 'vecNotas'!

!Alumno methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 15:40'!
carrera
	^ carrera! !

!Alumno methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 15:40'!
carrera: anObject
	carrera := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 16:54'!
cursadas
	^ cursadas! !

!Alumno methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 16:54'!
cursadas: anObject
	cursadas := anObject! !

!Alumno methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/14/2013 01:11'!
gruposParticipa
	^gruposParticipa.! !

!Alumno methodsFor: 'as yet unclassified' stamp: 'andres 9/14/2013 01:51'!
initialize 
materias_terminadas:= Bag new.
materias_abandonadas:= Bag new.	
cursadas:= Bag new. 
vecNotas:= Array new:10.
gruposParticipa := Bag new.
eventos := Bag new.
! !

!Alumno methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 15:40'!
materias_abandonadas
	^ materias_abandonadas! !

!Alumno methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 15:40'!
materias_abandonadas: anObject
	materias_abandonadas := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 15:40'!
materias_terminadas
	^ materias_terminadas! !

!Alumno methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 15:40'!
materias_terminadas: anObject
	materias_terminadas := anObject! !

!Alumno methodsFor: 'as yet unclassified' stamp: 'andres 9/14/2013 09:14'!
miAgenda
|stringAux colAux|
stringAux := ''. 
colAux:=Bag new.
self eventos do: [:unEvento | ((unEvento class = Charla) | (unEvento class = Sesion)) ifTrue:[stringAux := (stringAux ,(unEvento nombre) ,  String cr).
		colAux add:stringAux]
	ifFalse:[stringAux := (stringAux , (unEvento string),' ', (unEvento fecha) ,String cr).
		colAux add:stringAux]
	].

^stringAux. 

! !

!Alumno methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 14:48'!
obtenerCursadaConCurso: unCurso 
|cursadaCurso |
cursadaCurso := nil.
cursadas do:[:unaCursada|((unaCursada curso)==unCurso )ifTrue:[cursadaCurso:=unaCursada ] ].
^cursadaCurso ! !

!Alumno methodsFor: 'as yet unclassified' stamp: 'Javi 9/12/2013 03:52'!
obtenerCursadas
^cursadas! !

!Alumno methodsFor: 'as yet unclassified' stamp: 'andres 9/10/2013 09:30'!
obtenerNumero: unObject 
^unObject nota
! !

!Alumno methodsFor: 'as yet unclassified' stamp: 'andres 9/10/2013 22:29'!
obtenerVecNotas
^vecNotas.
! !

!Alumno methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 16:47'!
tablaDeNotas
"el vector de notas habria q inicializarlo aca"
|n|
n:=1.
n to:10 do:[:cuantos| (self obtenerVecNotas at:n put:((self obtenerCursadas select:[: unaCursada | unaCursada nota == n]) size)).
	n:=n+1].
^self obtenerVecNotas.

! !

Object subclass: #Calificable
	uses: TCalificable
	instanceVariableNames: 'estado nota calificable'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits-Beta'!

Calificable class
	uses: TCalificable classTrait
	instanceVariableNames: ''!

!Calificable class methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 22:55'!
newCon:unCalificable conNota:unaNota yEstado:unEstado
|calificableNuevo|
calificableNuevo := Calificable new.
calificableNuevo calificable:unCalificable.
calificableNuevo nota: unaNota .
calificableNuevo estado: unEstado .
^calificableNuevo ! !

!Calificable methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 22:39'!
abandono  
	^ self estado == 1! !

!Calificable methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 22:41'!
aprobo 
	^ (self nota>=4) & (self termino )! !

!Calificable methodsFor: 'accessing' stamp: 'Fiok 9/13/2013 18:03'!
calificable
	^ calificable! !

!Calificable methodsFor: 'accessing' stamp: 'Fiok 9/13/2013 18:03'!
calificable: anObject
	calificable := anObject! !

!Calificable methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 22:22'!
contarSoloSi:unaCondicion
	(unaCondicion value:self)  ifTrue:[^ 1 ].
	^ 0! !

!Calificable methodsFor: 'accessing' stamp: 'Fiok 9/13/2013 18:03'!
estado
	^ estado! !

!Calificable methodsFor: 'accessing' stamp: 'Fiok 9/13/2013 18:03'!
estado: anObject
	estado := anObject! !

!Calificable methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 19:16'!
initialize 
	super initialize .! !

!Calificable methodsFor: 'accessing' stamp: 'Fiok 9/13/2013 18:03'!
nota
	^ nota! !

!Calificable methodsFor: 'accessing' stamp: 'Fiok 9/13/2013 18:03'!
nota: anObject
	nota := anObject! !

!Calificable methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 19:50'!
notaSoloSi:unaCondicion
	(unaCondicion value: self ) ifTrue: [^ self nota ].
	^ 0! !

!Calificable methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 19:30'!
termino 
	^ estado == 2! !

Object subclass: #Carrera
	uses: Coleccion + Estadistica
	instanceVariableNames: 'nombre materias'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits'!

!Carrera commentStamp: '<historical>' prior: 0!
A Carrera is xxxxxxxxx.

Instance Variables
	materias:		<Object>

materias
	- xxxxx
!

Carrera class
	uses: Coleccion classTrait + Estadistica classTrait
	instanceVariableNames: ''!

!Carrera methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:18'!
coleccion
	^ materias .! !

!Carrera methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:18'!
coleccion:unaColeccion
	materias := unaColeccion .! !

!Carrera methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:24'!
nombre
	^ nombre! !

!Carrera methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:24'!
nombre: anObject
	nombre := anObject! !

Object subclass: #CarreraB
	uses: TEstadistica
	instanceVariableNames: 'materias'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits-Beta'!

CarreraB class
	uses: TEstadistica classTrait
	instanceVariableNames: ''!

!CarreraB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 01:05'!
calificables
	^materias  .! !

!CarreraB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 01:05'!
calificables: unAlgo
	materias :=unAlgo ! !

!CarreraB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 01:27'!
initialize 
	super initialize .
	materias := Bag new.! !

Object subclass: #Cursada
	instanceVariableNames: 'curso nota materia estado'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits'!

!Cursada commentStamp: '<historical>' prior: 0!
A Cursada is xxxxxxxxx.

Instance Variables
	curso:		<Object>
	materia:		<Object>
	nota:		<Object>

curso
	- xxxxx

materia
	- xxxxx

nota
	- xxxxx
!

!Cursada class methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 14:51'!
new: unaNota curso:unCurso
|aux|
aux:=super new.
aux nota: unaNota .
aux curso: unCurso .
aux estado: 2.
^aux
! !

!Cursada class methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 14:51'!
new: unaNota curso:unCurso estado:unEstado
|aux|
aux:=super new.
aux nota: unaNota .
aux curso: unCurso .
aux estado: unEstado.
^aux! !

!Cursada class methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 14:51'!
new:unCurso estado:unEstado
|aux|
aux:=super new.
aux nota: 0.
aux curso: unCurso .
aux estado: unEstado .
^aux! !

!Cursada methodsFor: 'accessing' stamp: 'fedecasares 9/11/2013 13:56'!
abandono
^estado==1! !

!Cursada methodsFor: 'accessing' stamp: 'fedecasares 9/11/2013 13:55'!
aprobo
^nota>=4! !

!Cursada methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 16:55'!
curso
	^ curso! !

!Cursada methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 16:55'!
curso: anObject
	curso := anObject! !

!Cursada methodsFor: 'accessing' stamp: 'andres 9/10/2013 10:07'!
estado
^estado.! !

!Cursada methodsFor: 'accessing' stamp: 'andres 9/10/2013 10:07'!
estado:algo
estado:=algo.
	! !

!Cursada methodsFor: 'accessing' stamp: 'fedecasares 9/11/2013 13:57'!
initialize 
estado:=0! !

!Cursada methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 16:55'!
materia
	^ materia! !

!Cursada methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 16:55'!
materia: anObject
	materia := anObject! !

!Cursada methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 16:55'!
nota
	^ nota! !

!Cursada methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 16:55'!
nota: anObject
	nota := anObject! !

Object subclass: #Curso
	uses: Coleccion + Estadistica
	instanceVariableNames: 'codigo cuatrimestre ao docentes alumnos materia'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits'!

!Curso commentStamp: '<historical>' prior: 0!
A Curso is xxxxxxxxx.

Instance Variables
!

Curso class
	uses: Coleccion classTrait + Estadistica classTrait
	instanceVariableNames: ''!

!Curso methodsFor: 'accessing' stamp: 'fedecasares 9/12/2013 18:32'!
alumnos
	^ alumnos! !

!Curso methodsFor: 'accessing' stamp: 'fedecasares 9/12/2013 18:32'!
alumnos: anObject
	alumnos := anObject! !

!Curso methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:29'!
ao
	^ ao! !

!Curso methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:29'!
ao: anObject
	ao := anObject! !

!Curso methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:24'!
codigo
	^ codigo! !

!Curso methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:24'!
codigo: anObject
	codigo := anObject! !

!Curso methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:20'!
coleccion
	^ docentes .! !

!Curso methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:20'!
coleccion:unaColeccion
	docentes := unaColeccion .! !

!Curso methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:29'!
cuatrimestre
	^ cuatrimestre! !

!Curso methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:29'!
cuatrimestre: anObject
	cuatrimestre := anObject! !

!Curso methodsFor: 'as yet unclassified' stamp: 'fedecasares 9/13/2013 16:00'!
cursadas
^ (self alumnos collect: [:unAlumno|unAlumno obtenerCursadaConCurso: self] ) 
! !

!Curso methodsFor: 'accessing' stamp: 'fedecasares 9/12/2013 18:32'!
materia
	^ materia! !

!Curso methodsFor: 'accessing' stamp: 'fedecasares 9/12/2013 18:32'!
materia: anObject
	materia := anObject! !

Object subclass: #CursoB
	uses: TEstadistica
	instanceVariableNames: 'alumnos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits-Beta'!

CursoB class
	uses: TEstadistica classTrait
	instanceVariableNames: ''!

!CursoB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 21:34'!
calificables
	^ alumnos .! !

!CursoB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 21:34'!
calificables: unAlgo
	alumnos  :=unAlgo ! !

!CursoB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 22:16'!
initialize 
super initialize .
alumnos := Bag new. ! !

Object subclass: #Docente
	uses: Estadistica + Academico
	instanceVariableNames: 'nombre cursos gruposParticipa eventos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits'!

!Docente commentStamp: '<historical>' prior: 0!
A Docente is xxxxxxxxx.

Instance Variables
!

Docente class
	uses: Estadistica classTrait + Academico classTrait
	instanceVariableNames: ''!

!Docente methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 15:41'!
cursos
	^ cursos! !

!Docente methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 15:41'!
cursos: anObject
	cursos := anObject! !

!Docente methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/14/2013 01:11'!
gruposParticipa
	^gruposParticipa.! !

!Docente methodsFor: 'as yet unclassified' stamp: 'andres 9/14/2013 01:51'!
initialize
	gruposParticipa := Bag new.
	eventos :=Bag new.! !

!Docente methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:22'!
nombre
	^ nombre! !

!Docente methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:22'!
nombre: anObject
	nombre := anObject! !

Object subclass: #DocenteB
	uses: TEstadistica
	instanceVariableNames: 'cursos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits-Beta'!

DocenteB class
	uses: TEstadistica classTrait
	instanceVariableNames: ''!

!DocenteB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 23:58'!
calificables
	^cursos  .! !

!DocenteB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/13/2013 23:59'!
calificables: unAlgo
	cursos  := unAlgo ! !

!DocenteB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 01:02'!
initialize 
	super initialize .
	cursos := Bag  new.! !

Object subclass: #Estudiante
	uses: TEstadistica
	instanceVariableNames: 'cursadas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits-Beta'!

Estudiante class
	uses: TEstadistica classTrait
	instanceVariableNames: ''!

!Estudiante methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 18:57'!
calificables
	^ cursadas  .! !

!Estudiante methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 18:57'!
calificables: unAlgo
	cursadas  := unAlgo ! !

!Estudiante methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 19:34'!
cantidadDeAprobadas 
	^ self contarSoloSi: [:unCalificable | unCalificable aprobo  ]! !

!Estudiante methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 19:28'!
contarSoloSi:unaCondicion
	^ (self calificables select: unaCondicion) size ! !

!Estudiante methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 19:16'!
initialize 
super initialize .
cursadas:= Bag new. ! !

!Estudiante methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 20:39'!
notaSoloSi:unaCondicion
	^self calificables inject: 0 into: [:nota :unCalificable | nota + (unCalificable notaSoloSi: unaCondicion) ]! !

!Estudiante methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 19:44'!
porcentajeDeAprobadosSobreIniciados
|cantAprobados cantIniciados|
	cantAprobados :=self contarSoloSi: [:unCalificable | unCalificable aprobo ].
	"para que me traiga todo 1==1"
	cantIniciados  := self contarSoloSi: [:unCalificable | 1==1  ]  .
	^ cantAprobados  *100 // cantIniciados .! !

!Estudiante methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 20:31'!
promedioConAplazos 
	^self  promedioSoloSi: [:unCalificable | unCalificable termino]! !

!Estudiante methodsFor: 'as yet unclassified' stamp: 'Fiok 9/13/2013 20:30'!
promedioSinAplazos 
	^self  promedioSoloSi: [:unCalificable | unCalificable aprobo ]! !

Object subclass: #Experimento
	instanceVariableNames: 'fecha horaInicio horaFin string resultado nombre'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits'!

!Experimento methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:29'!
fecha
^fecha.! !

!Experimento methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:29'!
fecha:unaFec
fecha:=(Date readFromString: unaFec).! !

!Experimento methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:32'!
horaFin
^horaFin.! !

!Experimento methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:32'!
horaFin:unaHora
"x:= Time readFromString: '3:47:26 pm'. crear tiempo de cadena con formato"
horaFin:=(Time readFromString:unaHora).! !

!Experimento methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:33'!
horaInicio
^horaInicio.! !

!Experimento methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:33'!
horaInicio:unaHora
"x:= Time readFromString: '3:47:26 pm'. crear tiempo de cadena con formato"
horaInicio:=(Time readFromString: unaHora).! !

!Experimento methodsFor: 'as yet unclassified' stamp: 'andres 9/14/2013 02:34'!
nombre
^nombre.! !

!Experimento methodsFor: 'as yet unclassified' stamp: 'andres 9/14/2013 02:34'!
nombre:unNombre
nombre:=unNombre.! !

!Experimento methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 22:19'!
resultado
^resultado.! !

!Experimento methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 22:19'!
resultado:unObject
resultado:=unObject.! !

!Experimento methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:39'!
string
^string.! !

!Experimento methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:39'!
string:unaDes
string:=unaDes.! !

Object subclass: #GrupoInvestigacion
	uses: Coleccion + Informe - {#resultados}
	instanceVariableNames: 'integrantes actividades'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits'!

GrupoInvestigacion class
	uses: Coleccion classTrait + Informe classTrait
	instanceVariableNames: ''!

!GrupoInvestigacion methodsFor: 'accessing' stamp: 'luksdlt92 9/12/2013 01:24'!
actividades
	^actividades.! !

!GrupoInvestigacion methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/12/2013 00:58'!
aniadirActividad: unaActividad
	actividades add: unaActividad.! !

!GrupoInvestigacion methodsFor: 'as yet unclassified' stamp: 'luksdlt92 9/14/2013 01:18'!
aniadirIntegrante: unIntegrante
	integrantes add: unIntegrante.
	unIntegrante aniadirGrupoParticipa: self.! !

!GrupoInvestigacion methodsFor: 'as yet unclassified' stamp: 'Javi 9/12/2013 04:29'!
cantActividadesNoAprobadas
^self actividades count:[:actividad | actividad estaAprobada]! !

!GrupoInvestigacion methodsFor: 'as yet unclassified' stamp: 'Javi 9/13/2013 19:43'!
initialize
"Los integrantes y actividades no deberian poder repetirse"
	integrantes := OrderedCollection  new.
	actividades := OrderedCollection  new.! !

!GrupoInvestigacion methodsFor: 'accessing' stamp: 'luksdlt92 9/12/2013 01:20'!
integrantes
	^integrantes.! !

Object subclass: #Materia
	uses: Coleccion + Estadistica
	instanceVariableNames: 'nombre cursos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits'!

!Materia commentStamp: '<historical>' prior: 0!
A Materia is xxxxxxxxx.

Instance Variables
	cursos:		<Object>

cursos
	- xxxxx
!

Materia class
	uses: Coleccion classTrait + Estadistica classTrait
	instanceVariableNames: ''!

!Materia methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:15'!
coleccion
	^cursos ! !

!Materia methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:16'!
coleccion:unaColeccion
	cursos := unaColeccion .! !

!Materia methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 16:55'!
cursos
	^cursos ! !

!Materia methodsFor: 'accessing' stamp: 'fedecasares 9/5/2013 16:55'!
cursos:unaColeccion
	cursos := unaColeccion .! !

!Materia methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:23'!
nombre
	^ nombre! !

!Materia methodsFor: 'accessing' stamp: 'Fiok 9/3/2013 22:23'!
nombre: anObject
	nombre := anObject! !

Object subclass: #MateriaB
	uses: TEstadistica
	instanceVariableNames: 'cursos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits-Beta'!

MateriaB class
	uses: TEstadistica classTrait
	instanceVariableNames: ''!

!MateriaB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 01:39'!
calificables
	^ cursos  .! !

!MateriaB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 01:39'!
calificables: unAlgo
	cursos  :=unAlgo ! !

!MateriaB methodsFor: 'as yet unclassified' stamp: 'Pablo 9/14/2013 01:39'!
initialize 
super initialize .
cursos := Bag new. ! !

Object subclass: #Resultados
	instanceVariableNames: 'fecha string bitacora'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits'!

!Resultados methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:26'!
fecha
^fecha.! !

!Resultados methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:26'!
fecha:unaFec
fecha:=(Date readFromString: unaFec).! !

!Resultados methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:35'!
initialize 
bitacora:= Bag new.! !

!Resultados methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:38'!
string 
^string.! !

!Resultados methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:38'!
string:unStr
string:=unStr.! !

Object subclass: #Sesion
	instanceVariableNames: 'fecha horaInicio horaFin nombre'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TpTraits'!

!Sesion methodsFor: 'as yet unclassified' stamp: 'andres 9/14/2013 02:41'!
fecha
^fecha.! !

!Sesion methodsFor: 'as yet unclassified' stamp: 'andres 9/14/2013 02:41'!
fecha:unaFec
fecha:=(Date readFromString: unaFec).! !

!Sesion methodsFor: 'as yet unclassified' stamp: 'andres 9/14/2013 09:11'!
fechaAprobada 
^fecha.! !

!Sesion methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:05'!
horaFin 
^horaFin.! !

!Sesion methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:32'!
horaFin:unaHora
"x:= Time readFromString: '3:47:26 pm'. crear tiempo de cadena con formato"
horaFin:=(Time readFromString:unaHora).! !

!Sesion methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:04'!
horaInicio
^horaInicio.! !

!Sesion methodsFor: 'as yet unclassified' stamp: 'andres 9/12/2013 02:04'!
horaInicio:unaHora
"x:= Time readFromString: '3:47:26 pm'. crear tiempo de cadena con formato"
horaInicio:=(Time readFromString: unaHora).! !

!Sesion methodsFor: 'as yet unclassified' stamp: 'andres 9/14/2013 02:27'!
nombre
^nombre.! !

!Sesion methodsFor: 'as yet unclassified' stamp: 'andres 9/14/2013 02:26'!
nombre:unNombre
nombre:=unNombre.! !
